Package org.eclipse.birt.report.model.api.simpleapi

# Interface IMultiRowItem

All Superinterfaces:
  `IDesignElement`, `IReportElement`, `IReportItem`

All Known Subinterfaces:
  `IList`, `IListing`, `ITable`

All Known Implementing Classes:
  `MultiRowItem`

public interface IMultiRowItem extends IReportItem

## Field Summary

### Fields inherited from interface org.eclipse.birt.report.model.api.simpleapi.IReportItem

`constants`

## Method Summary

Modifier and Type
Method
Description
`void`
`addFilterCondition(IFilterCondition condition)`
Adds filter condition.expr of IFilterCondition is required.
`void`
`addSortCondition(ISortCondition condition)`
Adds sort condition.key of ISortCondition is required.
`IFilterCondition[]`
`getFilterConditions()`
Returns all filter conditions
`ISortCondition[]`
`getSortConditions()`
Returns all sort conditions.
`void`
`removeFilterCondition(IFilterCondition condition)`
Removes filter condition.
`void`
`removeFilterConditions()`
Removes filter condition.
`void`
`removeSortCondition(ISortCondition condition)`
Removes sort condition.
`void`
`removeSortConditions()`
Removes all sort conditions

### Methods inherited from interface org.eclipse.birt.report.model.api.simpleapi.IDesignElement

`getNamedExpression, getParent, getQualifiedName, getReport, getStyle, getUserProperty, getUserPropertyExpression, setNamedExpression, setUserProperty, setUserProperty`

### Methods inherited from interface org.eclipse.birt.report.model.api.simpleapi.IReportElement

`getComments, getCustomXml, getDisplayName, getDisplayNameKey, getName, setComments, setCustomXml, setDisplayName, setDisplayNameKey, setName`

### Methods inherited from interface org.eclipse.birt.report.model.api.simpleapi.IReportItem

`addDataBinding, addHideRule, addHighlightRule, getBookmark, getDataBinding, getDataBindings, getHeight, getHideRules, getHighlightRules, getTocExpression, getWidth, getX, getY, removeDataBinding, removeDataBindings, removeHideRule, removeHideRules, removeHighlightRule, removeHighlightRules, setBookmark, setCurrentView, setHeight, setHeight, setTocExpression, setWidth, setWidth, setX, setX, setY, setY`

## Method Details

### addFilterCondition

void addFilterCondition(IFilterCondition condition) throws SemanticException
Adds filter condition.expr of IFilterCondition is required.

Parameters:
  `condition` -
Throws:
  `SemanticException`

### addSortCondition

void addSortCondition(ISortCondition condition) throws SemanticException
Adds sort condition.key of ISortCondition is required.

Parameters:
  `condition` -
Throws:
  `SemanticException`

### getFilterConditions

IFilterCondition[] getFilterConditions()
Returns all filter conditions

Returns:
  all filter conditions

### getSortConditions

ISortCondition[] getSortConditions()
Returns all sort conditions.

Returns:
  all sort conditions.

### removeFilterCondition

void removeFilterCondition(IFilterCondition condition) throws SemanticException
Removes filter condition.

Parameters:
  `condition` -
Throws:
  `SemanticException`

### removeFilterConditions

void removeFilterConditions() throws SemanticException
Removes filter condition.

Throws:
  `SemanticException`

### removeSortCondition

void removeSortCondition(ISortCondition condition) throws SemanticException
Removes sort condition.

Parameters:
  `condition` -
Throws:
  `SemanticException`

### removeSortConditions

void removeSortConditions() throws SemanticException
Removes all sort conditions

Throws:
  `SemanticException`